different estimated time units hours<>days per tracker type
2009-02-06 09:34 - Anonymous

Status: New Start date: 2009-02-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues planning Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

For product planning and project management, | propose in addition to Feature #1953
¢ make unit of estimated time configurable (is a float anyway)
¢ support time unit days in addition to hours (maybe even weeks and at least for the Feature tracker)
e make this configurable differently for Feature/Support/Bug trackers.

To avoid the need to provide converting routines, when change of unit is allowed later

¢ internally the unit could stay hour (estimated, spent) and
¢ a day should equal 8 hours (or configurable amount).

Related issues:

Related to Redmine - Feature #1953: Due date calculation based on developer's... New 2008-09-25
Related to Redmine - Feature #877: ability to vary the units used to track time New 2008-03-17
Has duplicate Redmine - Feature #22578: change estimated time -- 'hours'to '... Closed

History

#1 - 2011-10-13 13:53 - Etienne Massip

- Category set to Issues

#2 - 2011-10-13 13:53 - Etienne Massip

- Category changed from Issues to Issues planning

#3 - 2013-11-05 16:33 - Etienne Massip

- Target version set to Candidate for next major release

Although | think it should be per issue choice (replace the "Hours" label with a dropdown list).

#4 - 2013-12-04 18:35 - Oguz Kagan Aslan

Our projects have small tasks, so in the dropdown menu a choice must be the

" *n

minutes™".

#5 - 2015-10-23 16:30 - budo kaiman

+1 It would be great if redmine could detect and adjust the display format based on this.

Example:
value display
24.0 hours 3.0 days
0.5 hours 30 minutes
40.0 hours 1 week

It would also be nice to have mixed formats.
Example:

value display

48.0 hours 1 week 1 day
4.5 hours 4 hours 30 minutes

#6 - 2016-04-19 00:21 - Go MAEDA

- Has duplicate Feature #22578: change estimated time -- 'hours' to 'days’ added

#7 - 2016-09-21 09:01 - Carsten S

+1

#8 - 2017-07-05 22:47 - Mischa The Evil
- Related to Feature #877: ability to vary the units used to track time added

#9 - 2020-10-15 11:47 - Alexandre WALLET

Up!

Use days/weeks is definitely a need for some projects containing hard or not direct steps.

It would be so handfull to set a start date and a estimated time so that the end date is calculated by itself and then appear in gant etc.
This is one of the basic limitation that is mainly reported by managers in my company.

This need has 11 years, so sad thing have not changed :(

#10 - 2021-04-27 08:58 - Thibaut CRD

+1!

This is a real need | think also to have the choice to get time expressed in hours or days, week, years

#11 - 2024-08-09 16:46 - AKA unknown

+1

And the possibility of adding a unit that is not really temporal (like "Work Unit") but which would correspond to a unit of time. This equivalence would
depend on the project.

Example: 5WU = 1 day = 8hours for project A ; 4WU = 1day = 8hours for project B.

Also add the possibility of putting times with a unit in the form which converts automatically.
Example: putting "1d" in the box puts "8" hours (if the displayed unit is hour)
